> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vnic/modifyipv6trafficpackage.md).

# ModifyIpv6TrafficPackage

## 1. API Description

This API (ModifyIpv6TrafficPackage) is used to Adjust the IPv6 traffic packets of the public network.

{% hint style="info" %}
**Notes**

* Only IPv6 in the "RUNNING" state supports this operation.
* The minimum traffic package size is only valid for monthly billing periods.
* This operation is executed asynchronously. Once the call is successful, the change of the traffic package will be processed in the background. The current operation status can be obtained by querying the `operationInfo` field of the IPv6 details interface.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type   | Description                                                               |
| ------------------ | -------- | ------ | ------------------------------------------------------------------------- |
| ipv6Id             | Yes      | String | IPv6 unique identification ID.                                            |
| trafficPackageSize | Yes      | Float  | <p>Traffic package size, measured in TB.</p><p>Value range: \[0.0, +)</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Adjust the IPv6 traffic packets to 10TB**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyIpv6TrafficPackage
<Common Request Params>

Request：
{
    "ipv6Id": "< Ipv6Id >",
    "trafficPackageSize": 10
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                              | Description                                                                                   |
| ---------------- | ------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| 404              | INVALID\_IPV6\_NOT\_FOUND                               | The IPv6 address is not found.                                                                |
| 400              | INVALID\_IPV6\_STATUS                                   | The IPv6 address is not active.                                                               |
| 400              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | IP network billing type is not supported.                                                     |
| 400              | OPERATION\_DENIED\_IPV6\_IN\_RISK\_CONTROL              | IPv6 is under risk control and this operation is not supported.                               |
| 400              | OPERATION\_DENIED\_LATEST\_OPERATION\_NOT\_FINISHED     | The previous operation has not been completed or has failed. Please try again later.          |
| 400              | OPERATION\_DENIED\_IPV6\_NO\_FLOW\_PACKAGE              | The IPv6 network has not configured the traffic packets, and this operation is not supported. |
